---
title: llarp::RoutePoker

---

# llarp::RoutePoker





Inherits from std::enable_shared_from_this< RoutePoker >

## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[AddRoute](Classes/structllarp_1_1RoutePoker.md#function-addroute)**(net::ipv4addr_t ip) |
| void | **[DelRoute](Classes/structllarp_1_1RoutePoker.md#function-delroute)**(net::ipv4addr_t ip) |
| void | **[Start](Classes/structllarp_1_1RoutePoker.md#function-start)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * router) |
| | **[~RoutePoker](Classes/structllarp_1_1RoutePoker.md#function-~routepoker)**() |
| void | **[Up](Classes/structllarp_1_1RoutePoker.md#function-up)**()<br>explicitly put routes up  |
| void | **[Down](Classes/structllarp_1_1RoutePoker.md#function-down)**()<br>explicitly put routes down  |
| void | **[SetDNSMode](Classes/structllarp_1_1RoutePoker.md#function-setdnsmode)**(bool using_exit_mode) const<br>set dns resolver pass in if we are using exit node mode right now as a bool  |

## Public Functions Documentation

### function AddRoute

```cpp
void AddRoute(
    net::ipv4addr_t ip
)
```


### function DelRoute

```cpp
void DelRoute(
    net::ipv4addr_t ip
)
```


### function Start

```cpp
void Start(
    AbstractRouter * router
)
```


### function ~RoutePoker

```cpp
~RoutePoker()
```


### function Up

```cpp
void Up()
```

explicitly put routes up 

### function Down

```cpp
void Down()
```

explicitly put routes down 

### function SetDNSMode

```cpp
void SetDNSMode(
    bool using_exit_mode
) const
```

set dns resolver pass in if we are using exit node mode right now as a bool 

-------------------------------

Updated on 2022-10-17 at 13:14:48 +0000